Support » Plugin: All-in-One Event Calendar » Workaround for fatal error on latest update

  • If you’re getting the “on line 160” error, do this:

    1. Go into plugins -> editor

    2. Choose all-in-one-events-calendar by timely in the select box.

    3. When the edit box refreshes, look for this code about halfway down the editor:

    // numeric is always array
    	unset( $plugins->active[ array_search( $basename, $plugins->active ) ] );

    Replace it with this:

    // workaround
    	if ( is_array( $plugins->active ) ) {
    		unset( $plugins->active[ array_search( $basename, $plugins->active ) ] );
    	}

    I’m not convinced, though, that by doing this the plugin is doing what the authors want it to do, but it no longer kills wordpress, which is an improvement.

    https://wordpress.org/plugins/all-in-one-event-calendar/

Viewing 1 replies (of 1 total)
  • Hello @maxwelton,

    Thank you for posting this, this will be taken care in the next version 2.0, which is coming out next week. Backend files will change entirely in 2.0 and every function will be redesigned, so commenting out these lines will fix the issue for now.

    Thanks

Viewing 1 replies (of 1 total)
  • The topic ‘Workaround for fatal error on latest update’ is closed to new replies.